> ## Documentation Index
> Fetch the complete documentation index at: https://developers.unize.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask Question to Graph

> Ask a question to the knowledge graph



## OpenAPI

````yaml post /v1/storage/{graph_id}/retrieval/
openapi: 3.0.3
info:
  title: Unize API
  version: 1.0.0
  description: Unize API
servers: []
security: []
paths:
  /v1/storage/{graph_id}/retrieval/:
    post:
      tags:
        - Retrieval (API & Playground)
      description: Ask a question to the knowledge graph
      operationId: Create Graph Retrieval
      parameters:
        - in: path
          name: graph_id
          schema:
            type: string
          required: true
          description: >-
            The `graph_id` of the knowledge graph to ask a question to. A
            `graph_id` is an alphanumeric string that uniquely identifies a
            knowledge graph.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GraphRetrievalPost'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/GraphRetrievalPost'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/GraphRetrievalPost'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GraphRetrievalPostResponse'
          description: ''
      security:
        - Authentication: []
components:
  schemas:
    GraphRetrievalPost:
      type: object
      properties:
        system:
          enum:
            - rt-0.5
          type: string
          description: '* `rt-0.5` (default) - first retrieval system'
          x-spec-enum-id: 7112a4ee8848b52a
          default: rt-0.5
        question:
          type: string
          description: >-
            A natural language question that the API will try to answer using
            the knowledge graph.
      required:
        - question
    GraphRetrievalPostResponse:
      type: object
      properties:
        retrieval_id:
          type: string
          format: uuid
          description: >-
            The alphanumeric string that uniquely identifies the retrieval
            request.
      required:
        - retrieval_id
  securitySchemes:
    Authentication:
      type: apiKey
      in: header
      name: Authorization
      description: |-
        Send the API generated from the Playground:
        - `Authorization: <api_key>`

````